public class dis_sicaklık
{
public double T[];
public String yer;
public dis_sicaklık(String yeri,double Ti[])
{ T=new double[12];
  yer=yeri;
  for(int i=0;i<12;i++)
  {T[i]=Ti[i];}
}

public void setIL(String il)
{ String yer1[]={"ADANA","ANTALYA","AYDIN","HATAY","MERSİN","İZMİR","OSMANİYE","AYVALIK","BODRUM","DATÇA","KÖYCEĞİZ","MARMARİS","GÖKOVA"};
  String yer2[]={"SAKARYA","ADIYAMAN","AMASYA","BALIKESİR","BARTIN","BATMAN","BURSA","ÇANAKKALE","DENİZLİ","DİYARBAKIR","EDİRNE","GAZİANTEP",
  "GİRESUN","İSTANBUL","KAHRAMAN MARAŞ","KİLİS","KOCAELİ","MANİSA","MARDİN","MUĞLA","ORDU","RİZE","SAMSUN","SİİRT","SİNOP","ŞANLI URFA",
  "ŞIRNAK","TEKİRDAĞ","TRABZON","YALOVA","ZONGULADAK","DÜZCE","HOPA","ARHAVİ",
  "ABANA","BOZKURT","ÇATALZEYTİN","İNEBOLU","CİDE","DOĞANYURT"};
  String yer3[]={"AFYON","AKSARAY","ANKARA","ARTVİN","BİLECİK","BOLU",
  "BURDUR","ÇANKIRI","ÇORUM","ELAZIĞ","ESKİŞEHİR","IĞDIR","ISPARTA",
  "KARABÜK","KARAMAN","KIRIKKALE","KIRKLARELİ","KIRŞEHİR","KONYA","KÜTAHYA",
  "MALATYA","NEVŞEHİR","NİĞDE","TOKAT","TUNCELİ","UŞAK",
  "POZANTI","KORKUTELİ","MERZİFON","DURSUNBEY","ULUS","TOSYA"};
  String yer4[]={"AĞRI","ARDAHAN","BİTLİS","ERZİNCAN","ERZURUM","GÜMÜŞHANE","HAKKARİ","KARS","KASTAMONU","KAYSERİ",
  "MUŞ","SİVAS","VAN","YOZGAT","KELES","ULUDĞ","ŞEBİNKARAHİSAR","AFŞİN","ELBİSTAN","GÖKSUN","MESUDİYE","KIĞI",
  "PÜLÜMÜR","SOLHAN"};
  for(int i=0;i<yer1.length;i++)
  {if(yer1[i].equals(il)){yer="Türkiye 1. bölge";break;}}
  for(int i=0;i<yer2.length;i++)
  {if(yer2[i].equals(il)){yer="Türkiye 2. bölge";break;}}
  for(int i=0;i<yer3.length;i++)
  {if(yer3[i].equals(il)){yer="Türkiye 3. bölge";break;}}
  for(int i=0;i<yer4.length;i++)
  {if(yer4[i].equals(il)){yer="Türkiye 4. bölge";break;}}
  setYer(yer);
}


public void setYer(String yeri)
{ yer=yeri;
  if(yer.equals("Türkiye 1. bölge")) {double T1[]={8.4,9.0,11.6,15.8,21.2,26.3,28.7,27.6,23.5,18.5,13.0,9.3};T=T1;}
  else if(yer.equals("Türkiye 2. bölge")) {double T1[]={2.9,4.4,7.3,12.8,18.0,22.5,24.9,24.3,19.9,14.1,8.5,3.8};T=T1;}
  else if(yer.equals("Türkiye 3. bölge")) {double T1[]={-0.3,0.1,4.1,10.1,14.4,18.5,21.7,21.2,17.2,11.6,5.6,1.3};T=T1;}
  else if(yer.equals("Türkiye 4. bölge")) {double T1[]={-5.4,-4.7,0.3,7.9,12.8,17.3,21.4,21.1,16.5,10.3,3.1,-2.8};T=T1;}  
}

public String toString(int n)
{String s[]={"Türkiye 1. bölge","Türkiye 2. bölge","Türkiye 3. bölge","Türkiye 4. bölge"};
 return s[n];
}

public dis_sicaklık(int yeri)
{ setYer(toString(yeri));}

public dis_sicaklık(String yeri)
{ setYer(yeri);}

}